# Scotty TNG - ping/snmp based realtime network monitoring
#
# $Id$
#
# Authors:
#   Thomas Liske <liske@ibh.de>
#   Andre Ellguth <ellguth@ibh.de>
#
# Copyright Holder:
#   2008 (C) IBH IT-Service GmbH [http://www.ibh.de/apt-dater/]
#
# License:
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

require 'dringld.rb'

# Wrapper class for the +DRingLD+ distributed ringlist implementation.
class RingList
    attr_reader :node, :sensor, :title, :maxsize, :maxprobe, :id

    def initialize(node, sensor, name, options)
	@node = node
	@sensor = sensor
	@name = name
	@title = title
	@maxsize = maxsize
	@id = [node.name, name]
	@maxprobe = 0
	
	node.ringlists[name] = self
	options['hostname'] = node.name
	
	@rl = DRingLD.create(ScottyTNG.getTS, @id, options) {|idx| 0}
    end

    def pushProbe(value)
	@rl.push(value)
    end
end
